Bug 433839 - cpg can forward messages before join has completed
cpg can forward messages before join has completed
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Christine Caulfield
Depends On:
  Show dependency treegraph
Reported: 2008-02-21 12:31 EST by Christine Caulfield
Modified: 2009-04-16 18:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0411
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 10:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix (499 bytes, patch)
2008-02-21 12:32 EST, Christine Caulfield
no flags Details | Diff

  None (edit)
Description Christine Caulfield 2008-02-21 12:31:43 EST
Jon Brassow claims to have seen this in the cmirror server, and an observation
of the code show it to be true.

If one node sends an mcast message at roughly the same time as a new node joins
the CPG, then the new node can receive the mcast message THEN its own join
config change message.

This is incorrect. A node is not actually joined to the CPG until the join has
been processed: the very first callback it should receive is that join confchg.
Comment 1 Christine Caulfield 2008-02-21 12:32:25 EST
Created attachment 295543 [details]
Patch to fix

This patch is against the whitetank branch of openais.
Comment 3 errata-xmlrpc 2008-05-21 10:31:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.